libevdev (1.13.3+dfsg-1+rpi1) trixie-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Wed, 18 Sep 2024 00:26:06 +0000

libevdev (1.13.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 07 Sep 2024 18:35:53 +0200

libevdev (1.13.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Build-depend on pkgconf instead of pkg-config.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 03 Jun 2024 12:52:16 +0200

libevdev (1.13.1+dfsg-1) unstable; urgency=medium

  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Tue, 13 Jun 2023 06:52:38 +0200

libevdev (1.13.1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 12 May 2023 15:33:59 +0200

libevdev (1.13.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 10 Aug 2022 13:54:03 +0200

libevdev (1.12.1+dfsg-1) unstable; urgency=medium

  * New upstream release, merging the mouse-dpi-tool man page.
  * Point to the freedesktop.org GitLab instance in the upstream
    metadata.
  * Enable silent rules in terse builds.

 -- Stephen Kitt <skitt@debian.org>  Thu, 31 Mar 2022 13:10:59 +0200

libevdev (1.12.0+dfsg-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Annotate check dependency <!nocheck>. Closes: #981789.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + libevdev-doc: Drop versioned constraint on libevdev-dev in Replaces.
    + libevdev-doc: Drop versioned constraint on libevdev-dev in Breaks.

  [ Stephen Kitt ]
  * New upstream release.
  * Split out arch-dependent and arch-independent build dependencies,
    and provide a minimal docs-only build.
  * Add upstream bug database location.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 14 Nov 2021 18:00:18 +0100

libevdev (1.11.0+dfsg-1) unstable; urgency=medium

  * New upstream release (re-license only).

 -- Stephen Kitt <skitt@debian.org>  Thu, 04 Feb 2021 21:39:50 +0100

libevdev (1.10.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump debian/watch version.
  * Standards-Version 4.5.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 15 Jan 2021 09:17:58 +0100

libevdev (1.10.0+dfsg-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Stephen Kitt ]
  * New upstream release, which now installs the upstream-provided
    manpages for libevdev-tweak-device and touchpad-edge-detector.

 -- Stephen Kitt <skitt@debian.org>  Sat, 31 Oct 2020 17:38:56 +0100

libevdev (1.9.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compatibility level 13.
  * remove-remote-resources.patch is Debian-specific, indicate that it
    doesn’t need to be forwarded.

 -- Stephen Kitt <skitt@debian.org>  Tue, 21 Jul 2020 16:28:19 +0200

libevdev (1.9.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Enable tests, the default test suite no longer needs to run as root.

 -- Stephen Kitt <skitt@debian.org>  Thu, 05 Mar 2020 12:21:46 +0100

libevdev (1.8.901+dfsg-1) unstable; urgency=medium

  * New upstream pre-release.
  * Standards-Version 4.5.0, no change required.
  * Explicitly indicate that we don’t install .la files.

 -- Stephen Kitt <skitt@debian.org>  Fri, 21 Feb 2020 17:45:13 +0100

libevdev (1.8.0+dfsg-2) unstable; urgency=medium

  * Build with Python 3. Closes: #936851.

 -- Stephen Kitt <skitt@debian.org>  Wed, 04 Sep 2019 09:03:49 +0200

libevdev (1.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 28 Aug 2019 20:50:32 +0200

libevdev (1.7.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Use dh_doxygen to clean up the doxygen output.
  * Avoid pulling in remote resources from the docs.
  * Standards-Version 4.4.0, no change required.
  * Stop overriding the jQuery version used by doxygen.

 -- Stephen Kitt <skitt@debian.org>  Mon, 15 Jul 2019 18:48:44 +0200

libevdev (1.6.901+dfsg-1) experimental; urgency=medium

  * New upstream pre-release.
  * Rewrite libevdev2.symbols using version symbols.
  * Simplify the upstream signing key.
  * Standards-Version 4.3.0, no change required.
  * Switch to debhelper compatibility level 12.
  * Install libevdev.3 in libevdev-dev.

 -- Stephen Kitt <skitt@debian.org>  Sat, 01 Jun 2019 15:17:16 +0200

libevdev (1.6.0+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Stephen Kitt ]
  * New upstream release.
  * Add “Build-Depends-Package” entry to libevdev2.symbols.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.2.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 26 Oct 2018 23:20:00 +0200

libevdev (1.5.9+dfsg-2) unstable; urgency=medium

  * Migrate to Salsa.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 04 May 2018 22:46:21 +0200

libevdev (1.5.9+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Tue, 13 Mar 2018 20:31:35 +0100

libevdev (1.5.8+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add Multi-Arch qualifiers for the -dev and -doc packages.
  * Drop obsolete patches.
  * Make libevdev-dev suggest libevdev-doc. Closes: #885079; thanks to
    Yuri D'Elia for the suggestion!
  * Switch to the secure upstream homepage URL.
  * Switch to debhelper compatibility level 11, moving the documentation
    to /usr/share/doc/libevdev-dev (still in the libevdev-doc package).
  * Standards-Version 4.1.3, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 29 Jan 2018 09:19:01 +0100

libevdev (1.5.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Ship documentation in a separate libevdev-doc package (Closes:
    #860980).

 -- Stephen Kitt <skitt@debian.org>  Mon, 19 Jun 2017 08:42:07 +0200

libevdev (1.5.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 05 Jan 2017 23:32:44 +0100

libevdev (1.5.5+dfsg-1) unstable; urgency=medium

  * New upstream release, obsoleting reproducible-builds.patch.

 -- Stephen Kitt <skitt@debian.org>  Thu, 01 Dec 2016 09:03:13 +0100

libevdev (1.5.4+dfsg-2) unstable; urgency=medium

  * Fix FTCBFS (Closes: #842989; thanks to Helmut Grohne):
    - annotate Python build-dependency with :native;
    - use triplet-prefixed pkg-config.
  * Switch to debhelper compatibility level 10.

 -- Stephen Kitt <skitt@debian.org>  Thu, 03 Nov 2016 23:14:31 +0100

libevdev (1.5.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 26 Aug 2016 23:10:52 +0200

libevdev (1.5.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Tue, 23 Aug 2016 09:25:04 +0200

libevdev (1.5.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Build-depend on graphviz, the doxygen documentation needs it.

 -- Stephen Kitt <skitt@debian.org>  Wed, 15 Jun 2016 21:10:28 +0200

libevdev (1.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 16 May 2016 15:51:49 +0200

libevdev (1.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Switch to https: VCS URIs (see #810378).
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no change required.
  * Update debian/copyright.
  * Enable full hardening.
  * Avoid installing useless .md5 files generated by doxygen.

 -- Stephen Kitt <skitt@debian.org>  Fri, 13 May 2016 21:27:09 +0200

libevdev (1.4.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 07 Jan 2016 17:23:10 +0100

libevdev (1.4.5+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 11 Nov 2015 23:07:12 +0100

libevdev (1.4.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 02 Sep 2015 23:15:53 +0200

libevdev (1.4.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 22 Jun 2015 22:39:48 +0200

libevdev (1.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 24 Apr 2015 20:56:45 +0200

libevdev (1.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop duplicate entry from debian/copyright and add repacksuffix in
    debian/watch for newer versions of mk-origtargz.

 -- Stephen Kitt <skitt@debian.org>  Sat, 11 Apr 2015 16:12:11 +0200

libevdev (1.4+dfsg-1) unstable; urgency=medium

  * New upstream release, providing a new tool, libevdev-tweak-device.

 -- Stephen Kitt <skitt@debian.org>  Sat, 07 Mar 2015 21:42:50 +0100

libevdev (1.3.2+dfsg-2) unstable; urgency=medium

  * Mark libevdev2 as Multi-Arch: same (Closes: #770294); thanks to
    Andreas Beckmann for pointing out the issue!
  * Stop including timestamps in the generated documentation (they
    prevent reproducible builds).
  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Sun, 08 Feb 2015 21:14:55 +0100

libevdev (1.3.2+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 05 Dec 2014 21:28:00 +0100

libevdev (1.3.1+dfsg-1) experimental; urgency=medium

  * New upstream release, uploaded to experimental for the Jessie freeze.
  * Update the FSF's address in debian/copyright.
  * Standards-Version 3.9.6, no change required.
  * Remove doxygen's SQLite database on cleanup.

 -- Stephen Kitt <skitt@debian.org>  Sat, 15 Nov 2014 11:20:50 +0100

libevdev (1.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * libevdev should really have priority optional rather than extra.
  * Add upstream's signing key and use it in debian/watch.

 -- Stephen Kitt <skitt@debian.org>  Tue, 09 Sep 2014 07:59:54 +0200

libevdev (1.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Ship a udeb for the installer (Closes: #750698).

 -- Stephen Kitt <skitt@debian.org>  Fri, 06 Jun 2014 00:13:49 +0200

libevdev (1.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 14 May 2014 07:22:30 +0200

libevdev (1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add libevdev-tools package for touchpad-edge-detector.

 -- Stephen Kitt <skitt@debian.org>  Thu, 01 May 2014 23:05:02 +0200

libevdev (1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 29 Mar 2014 23:43:56 +0100

libevdev (1.0.99.2+dfsg-3) unstable; urgency=medium

  * Disable the autopkgtests for now (sorry), making them run reliably in
    CI environments is proving rather harder than I thought it would
    be. (This addresses #742250 but not properly, so I'm not closing it
    yet.)

 -- Stephen Kitt <skitt@debian.org>  Wed, 26 Mar 2014 21:40:58 +0100

libevdev (1.0.99.2+dfsg-2) unstable; urgency=medium

  * Copy the autopkgtest tests to a temporary folder, and make sure the
    tests use the installed libevdev binaries. Thanks to Jakub Wilk and
    Martin Pitt for their explanations of the autopkgtest features!

 -- Stephen Kitt <skitt@debian.org>  Wed, 19 Mar 2014 23:09:46 +0100

libevdev (1.0.99.2+dfsg-1) unstable; urgency=medium

  * New upstream release candidate.
  * Correct VCS browser URL.

 -- Stephen Kitt <skitt@debian.org>  Wed, 19 Mar 2014 22:40:13 +0100

libevdev (1.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Fri, 14 Mar 2014 07:57:49 +0100

libevdev (1.0+dfsg-2) unstable; urgency=medium

  * Add Pre-Depends, thanks to Michael Terry for pointing out that it was
    missing.
  * Add DEP8 tests, thanks to Michael Terry (again) for the prod.

 -- Stephen Kitt <skitt@debian.org>  Thu, 06 Mar 2014 00:08:28 +0100

libevdev (1.0+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Tue, 18 Feb 2014 22:55:14 +0100

libevdev (0.9.1+dfsg-1) unstable; urgency=medium

  * Repack, removing doc/html (which is renegerated at build-time) to
    avoid shipping the sourceless minified jquery.js in the source package
    (thanks to Ansgar Burchardt for pointing this out).
  * Update debian/copyright (thanks also to Ansgar Burchardt).
  * Add Built-Using field to ensure all the source for the generated
    files is kept in the archive.

 -- Stephen Kitt <skitt@debian.org>  Wed, 12 Feb 2014 07:34:32 +0100

libevdev (0.9.1-1) unstable; urgency=medium

  * New upstream version, with new soname.

 -- Stephen Kitt <skitt@debian.org>  Sat, 01 Feb 2014 19:29:30 +0100

libevdev (0.6-1) unstable; urgency=medium

  * New upstream version.
  * Standards-Version 3.9.5, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 24 Dec 2013 00:04:21 +0100

libevdev (0.5-1) unstable; urgency=low

  * New upstream version.
  * libevdev is for Linux only, limit the architectures accordingly.

 -- Stephen Kitt <skitt@debian.org>  Fri, 22 Nov 2013 01:04:28 +0100

libevdev (0.4.1-1) unstable; urgency=low

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Tue, 05 Nov 2013 23:07:02 +0100

libevdev (0.4-1) unstable; urgency=low

  * Initial release (Closes: #722631, LP: #1223304).

 -- Stephen Kitt <skitt@debian.org>  Wed, 18 Sep 2013 21:02:30 +0200
